Bug 865897 - UnboundLocalError: local variable 'dev' referenced before assignment
UnboundLocalError: local variable 'dev' referenced before assignment
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
abrt_hash:4ac484ea0b49230500ff51ec45c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 14:32 EDT by Reartes Guillermo
Modified: 2012-11-22 23:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 23:52:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (279.20 KB, text/plain)
2012-10-12 14:32 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-12 14:32 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-12 14:32 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-12 14:32 EDT, Reartes Guillermo
no flags Details
File: storage.log (121.13 KB, text/plain)
2012-10-12 14:32 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-12 14:32 EDT, Reartes Guillermo
no flags Details
File: environ (764 bytes, text/plain)
2012-10-12 14:32 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (3.97 KB, text/plain)
2012-10-12 14:32 EDT, Reartes Guillermo
no flags Details
File: syslog (72.27 KB, text/plain)
2012-10-12 14:32 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-12 14:32 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.86 KB, text/plain)
2012-10-12 14:32 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-12 14:32 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-12 14:32 EDT, Reartes Guillermo
no flags Details
File: program.log (42.04 KB, text/plain)
2012-10-12 14:33 EDT, Reartes Guillermo
no flags Details
update img result seems ok (66.21 KB, image/png)
2012-10-12 15:39 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-12 14:32:11 EDT
Description of problem:
i tried to verify an ISO IMAGE (there was no image)

Version-Release number of selected component:
anaconda-18.14

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.14 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 821, in on_verify_iso_clicked
:    dev = self.storage.devicetree.getDeviceByName(dev)
:UnboundLocalError: local variable 'dev' referenced before assignment
Comment 1 Reartes Guillermo 2012-10-12 14:32:21 EDT
Created attachment 626154 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-12 14:32:24 EDT
Created attachment 626155 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-12 14:32:26 EDT
Created attachment 626156 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-12 14:32:28 EDT
Created attachment 626157 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-12 14:32:34 EDT
Created attachment 626158 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-12 14:32:39 EDT
Created attachment 626159 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-12 14:32:42 EDT
Created attachment 626160 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-12 14:32:44 EDT
Created attachment 626161 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-12 14:32:48 EDT
Created attachment 626162 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-12 14:32:50 EDT
Created attachment 626163 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-12 14:32:54 EDT
Created attachment 626164 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-12 14:32:56 EDT
Created attachment 626165 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-12 14:32:59 EDT
Created attachment 626166 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-12 14:33:02 EDT
Created attachment 626167 [details]
File: program.log
Comment 15 Chris Lumens 2012-10-12 14:57:08 EDT
Does updates=http://clumens.fedorapeople.org/865897.img fix this?
Comment 16 Reartes Guillermo 2012-10-12 15:25:43 EDT
@Chris Lumens

how are these .img files used?
Comment 17 Chris Lumens 2012-10-12 15:28:39 EDT
Add updates=<url> to the kernel command line arguments at boot time.
Comment 18 Reartes Guillermo 2012-10-12 15:39:53 EDT
Created attachment 626202 [details]
update img result seems ok

It seems the updated image did the trick. It no longer crashes.

I propose that some form of red or yellow coloring or hue should be applied to the shown dialog to add emphasis to the shown message "this media is not good to install from" (which is a correct message).
Comment 19 Reartes Guillermo 2012-10-12 15:44:57 EDT
There is a small side-effect, unrelated, when booting selecting the updated image on comment #15, executing in VT2 the command 'anaconda --version' no longer works.
Anaconda emits a trace-back.
Comment 20 Fedora Update System 2012-10-16 23:08:06 EDT
anaconda-18.17-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.17-1.fc18
Comment 21 Fedora Update System 2012-10-17 13:29:20 EDT
Package anaconda-18.17-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.17-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16295/anaconda-18.17-1.fc18
then log in and leave karma (feedback).
Comment 22 Fedora Update System 2012-10-17 22:37:05 EDT
anaconda-18.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.18-1.fc18
Comment 23 Fedora Update System 2012-10-18 11:29:06 EDT
Package anaconda-18.18-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.18-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16402/anaconda-18.18-1.fc18
then log in and leave karma (feedback).
Comment 24 Fedora Update System 2012-10-19 21:32:49 EDT
anaconda-18.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.19-1.fc18
Comment 25 Adam Williamson 2012-11-22 23:52:55 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

(ref comment #18)

Note You need to log in before you can comment on or make changes to this bug.